Bug 190207 - (CVE-2006-2083) CVE-2006-2083 rsync buffer overflow issue
CVE-2006-2083 rsync buffer overflow issue
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rsync (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Mike McLean
public=20060422,impact=moderate,repor...
: Security
Depends On:
Blocks: 170416
  Show dependency treegraph
 
Reported: 2006-04-28 15:44 EDT by Josh Bressers
Modified: 2014-08-31 19:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-26 10:58:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-28 15:44:37 EDT
rsync buffer overflow issue

The receive_xattr() function creates a buffer by adding two integer
variables together without verifying the resultant sum hasn't caused
an integer overflow.

The fix, which is a patch of a patch is here:

http://cvs.samba.org/cgi-bin/cvsweb/rsync/patches/xattrs.diff.diff?r1=1.23&r2=1.24

Only the last few lines matter for this patch, the rest is the result
of making a minor modification in a patch.

Note You need to log in before you can comment on or make changes to this bug.